// Generated by gencpp from file gps_driver/raw_lines.msg
// DO NOT EDIT!


#ifndef GPS_DRIVER_MESSAGE_RAW_LINES_H
#define GPS_DRIVER_MESSAGE_RAW_LINES_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace gps_driver
{
template <class ContainerAllocator>
struct raw_lines_
{
  typedef raw_lines_<ContainerAllocator> Type;

  raw_lines_()
    : line()  {
    }
  raw_lines_(const ContainerAllocator& _alloc)
    : line(_alloc)  {
  (void)_alloc;
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _line_type;
  _line_type line;





  typedef boost::shared_ptr< ::gps_driver::raw_lines_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::gps_driver::raw_lines_<ContainerAllocator> const> ConstPtr;

}; // struct raw_lines_

typedef ::gps_driver::raw_lines_<std::allocator<void> > raw_lines;

typedef boost::shared_ptr< ::gps_driver::raw_lines > raw_linesPtr;
typedef boost::shared_ptr< ::gps_driver::raw_lines const> raw_linesConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::gps_driver::raw_lines_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::gps_driver::raw_lines_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::gps_driver::raw_lines_<ContainerAllocator1> & lhs, const ::gps_driver::raw_lines_<ContainerAllocator2> & rhs)
{
  return lhs.line == rhs.line;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::gps_driver::raw_lines_<ContainerAllocator1> & lhs, const ::gps_driver::raw_lines_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace gps_driver

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::gps_driver::raw_lines_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::gps_driver::raw_lines_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::gps_driver::raw_lines_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::gps_driver::raw_lines_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::gps_driver::raw_lines_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::gps_driver::raw_lines_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::gps_driver::raw_lines_<ContainerAllocator> >
{
  static const char* value()
  {
    return "5c74f2920fe696c465ee011cedd4ca6e";
  }

  static const char* value(const ::gps_driver::raw_lines_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x5c74f2920fe696c4ULL;
  static const uint64_t static_value2 = 0x65ee011cedd4ca6eULL;
};

template<class ContainerAllocator>
struct DataType< ::gps_driver::raw_lines_<ContainerAllocator> >
{
  static const char* value()
  {
    return "gps_driver/raw_lines";
  }

  static const char* value(const ::gps_driver::raw_lines_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::gps_driver::raw_lines_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string line\n"
;
  }

  static const char* value(const ::gps_driver::raw_lines_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::gps_driver::raw_lines_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.line);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct raw_lines_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::gps_driver::raw_lines_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::gps_driver::raw_lines_<ContainerAllocator>& v)
  {
    s << indent << "line: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.line);
  }
};

} // namespace message_operations
} // namespace ros

#endif // GPS_DRIVER_MESSAGE_RAW_LINES_H
